﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraToolBarsManagerResize
{
    public partial class Form1 : Form
    {
        private int DockedRowCount =0;
        private int PrevWidth = 0;
        public Form1()
        {
            InitializeComponent();
            ultraToolbarsManager1.Tools["ButtonTool34"].SharedProps.Visible= false;
        }

        private void Form1_Resize(object sender, EventArgs e)
        {

            int ToolsWidth = ultraToolbarsManager1.Toolbars.Where(a => a.Index >= DockedRowCount).Sum(t => t.Width) + 50;
            if (this.Width <= ToolsWidth)
            {
                int ToolsCount = ultraToolbarsManager1.Toolbars.Count - 1;
                if (DockedRowCount >= ToolsCount) return;

                    DockedRowCount++;
                    ultraToolbarsManager1.Toolbars[DockedRowCount].DockedRow = DockedRowCount;
                    PrevWidth = ToolsWidth;
            }

            if (this.Width > ToolsWidth && this.Width > PrevWidth && DockedRowCount > 0 )
            {
                ultraToolbarsManager1.Toolbars[DockedRowCount].DockedRow = 0;
                DockedRowCount--;
                PrevWidth = ultraToolbarsManager1.Toolbars.Where(a => a.Index >= DockedRowCount-1).Sum(t => t.Width) + 50;
            }
        }
    }
}
